Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235056 - libxml/tree.h not included properly due improper require in .pc file
Summary: libxml/tree.h not included properly due improper require in .pc file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target 227828
TreeView+ depends on / blocked
 
Reported: 2007-04-03 16:25 UTC by Thorsten Leemhuis
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: evolution-2.10.0-9.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-04 10:03:49 UTC


Attachments (Terms of Use)

Description Thorsten Leemhuis 2007-04-03 16:25:49 UTC
Matthew, thanks for fixing Bug 231767 ; but mail-notification still doesn't
build :-( For details see
http://buildsys.fedoraproject.org/logs/fedora-development-extras/30993-mail-notification-4.0-2.fc7/i386/build.log

Suggested fix:

Add "libxml-2.0" to the Requires line in
/usr/lib64/pkgconfig/evolution-plugin-2.10.pc -- then mail-notifications (and
other evo plugins) builds

Version-Release number of selected component (if applicable):
evolution-2.10.0-7.fc7

How reproducible:
always

Side note: 
The evolution-devel rpm package should probably Require libxml2-devel, too

Comment 1 Matthew Barnes 2007-04-04 03:39:01 UTC
Agreed.  How is it that this was working before, I wonder?

Comment 2 Thorsten Leemhuis 2007-04-04 05:02:27 UTC
(In reply to comment #1)
> Agreed.  How is it that this was working before, I wonder?

Just a wild guess: maybe the files used by mail-notification didn't include 
libxml.h in evo < 2.10



Comment 3 Matthew Barnes 2007-04-04 10:03:49 UTC
Should be fixed in evolution-2.10.0-9.fc7.

Hopefully that's the last of the build issues.


Note You need to log in before you can comment on or make changes to this bug.